# -*- coding: utf-8 -*-
"""
    demeter database
    name:hardware.py
    author:rabin
"""
from .__load__ import *

class Sync_data(Model):
	__table__ = 'sync_data'
	__comment__ = '同步数据表'
	id = Fields(type='int', primaryKey=True, autoIncrement=True, comment='数据id')
	farm = Fields(type='varchar(11)', comment='农场id')
	table = Fields(type='varchar(50)', comment='表名')
	data = Fields(type='text(255)', comment='同步的数据')
	state = Fields(type='boolean', default='True', comment='数据存在状态')
	cdate = Fields(type='int', default='time', comment='创建时间')